MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001631VCMIGUI - Otherpublic2013-12-23 22:102016-01-17 12:38
ReporterMyau 
Assigned ToSXX 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.97c 
Summary0001631: Fullscreen keyboard shortcut
DescriptionIt would be nice to toggle fullscreen mode by pressing F4 button, as it was in original HoMM3
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004204)
Ivan (developer)
2013-12-23 23:15

Actually you can. But only AFTER starting a map.

Real reason behind this limitation is a weird bug I was unable to fix - switching fullscreen in main menu crashes the game. Not sure what's wrong here.
(0005621)
SXX (administrator)
2015-03-11 17:31
edited on: 2016-01-17 12:38

As VCMI now fully migrated to SDL2 it's possible to toggle fullscreen anytime:
https://github.com/vcmi/vcmi/commit/f7f3c2f21acb14bc881592e88bebe3b76843290b [^]


- Issue History
Date Modified Username Field Change
2013-12-23 22:10 Myau New Issue
2013-12-23 23:15 Ivan Note Added: 0004204
2015-03-11 17:31 SXX Note Added: 0005621
2015-03-11 17:31 SXX Status new => resolved
2015-03-11 17:31 SXX Fixed in Version => 0.97c
2015-03-11 17:31 SXX Resolution open => fixed
2015-03-11 17:31 SXX Assigned To => SXX
2016-01-17 12:38 SXX Note Edited: 0005621 View Revisions
2016-01-17 12:38 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean